Transactions
curl --request POST \
--url https://flickopenapi.co/accounts/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dayRange": "1, 3, 7, 14, & 30 days",
"accountNumber": "7607346015"
}
'import requests
url = "https://flickopenapi.co/accounts/transactions"
payload = {
"dayRange": "1, 3, 7, 14, & 30 days",
"accountNumber": "7607346015"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dayRange: '1, 3, 7, 14, & 30 days', accountNumber: '7607346015'})
};
fetch('https://flickopenapi.co/accounts/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/accounts/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dayRange' => '1, 3, 7, 14, & 30 days',
'accountNumber' => '7607346015'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/accounts/transactions"
payload := strings.NewReader("{\n \"dayRange\": \"1, 3, 7, 14, & 30 days\",\n \"accountNumber\": \"7607346015\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/accounts/transactions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"dayRange\": \"1, 3, 7, 14, & 30 days\",\n \"accountNumber\": \"7607346015\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/accounts/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"dayRange\": \"1, 3, 7, 14, & 30 days\",\n \"accountNumber\": \"7607346015\"\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"Nuban": "387346015",
"datedStamp": "2023-09-21T17:03:15.611Z",
"Amount": "225000",
"dated": "2023-09-21T00:00:00.000Z",
"TransactionType": "credit",
"Narration": "N-10140722181/Collection Credit for 20",
"TransType": "credit",
"Balance": "30933952",
"BeneficiaryName": "null"
},
{
"Nuban": "6767346095",
"datedStamp": "2023-09-21T17:03:15.612Z",
"Amount": "150000",
"dated": "2023-09-21T00:00:00.000Z",
"TransactionType": "credit",
"Narration": "N-10140716665/Collection Credit for 20",
"TransType": "credit",
"Balance": "30708952",
"BeneficiaryName": "null"
},
{
"Nuban": "6767346875",
"datedStamp": "2023-09-21T17:03:15.613Z",
"Amount": "900000",
"dated": "2023-09-21T00:00:00.000Z",
"TransactionType": "credit",
"Narration": "N-10140720013/Collection Credit for 20",
"TransType": "credit",
"Balance": "30558952",
"BeneficiaryName": "null"
}
]
}API Reference
Transactions
fetching transaction
POST
/
accounts
/
transactions
Transactions
curl --request POST \
--url https://flickopenapi.co/accounts/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dayRange": "1, 3, 7, 14, & 30 days",
"accountNumber": "7607346015"
}
'import requests
url = "https://flickopenapi.co/accounts/transactions"
payload = {
"dayRange": "1, 3, 7, 14, & 30 days",
"accountNumber": "7607346015"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dayRange: '1, 3, 7, 14, & 30 days', accountNumber: '7607346015'})
};
fetch('https://flickopenapi.co/accounts/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/accounts/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dayRange' => '1, 3, 7, 14, & 30 days',
'accountNumber' => '7607346015'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/accounts/transactions"
payload := strings.NewReader("{\n \"dayRange\": \"1, 3, 7, 14, & 30 days\",\n \"accountNumber\": \"7607346015\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/accounts/transactions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"dayRange\": \"1, 3, 7, 14, & 30 days\",\n \"accountNumber\": \"7607346015\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/accounts/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"dayRange\": \"1, 3, 7, 14, & 30 days\",\n \"accountNumber\": \"7607346015\"\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"Nuban": "387346015",
"datedStamp": "2023-09-21T17:03:15.611Z",
"Amount": "225000",
"dated": "2023-09-21T00:00:00.000Z",
"TransactionType": "credit",
"Narration": "N-10140722181/Collection Credit for 20",
"TransType": "credit",
"Balance": "30933952",
"BeneficiaryName": "null"
},
{
"Nuban": "6767346095",
"datedStamp": "2023-09-21T17:03:15.612Z",
"Amount": "150000",
"dated": "2023-09-21T00:00:00.000Z",
"TransactionType": "credit",
"Narration": "N-10140716665/Collection Credit for 20",
"TransType": "credit",
"Balance": "30708952",
"BeneficiaryName": "null"
},
{
"Nuban": "6767346875",
"datedStamp": "2023-09-21T17:03:15.613Z",
"Amount": "900000",
"dated": "2023-09-21T00:00:00.000Z",
"TransactionType": "credit",
"Narration": "N-10140720013/Collection Credit for 20",
"TransType": "credit",
"Balance": "30558952",
"BeneficiaryName": "null"
}
]
}Authorizations
Your live or test secret key, prefixed sk-. Send as Authorization: Bearer sk-....
Body
application/json
Aquiring the total transaction done base on days duration(1, 3, 7, 14, & 30 days)
Response
Successful
Show child attributes
Show child attributes